Skip to main content
GET
/
workflow-runs
List workflow runs
curl --request GET \
  --url https://worker.anon.com/api/v2/workflow-runs
{
  "workflowRuns": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "PENDING",
      "completedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "jobRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "currentStateName": "<string>"
    }
  ],
  "pageSize": 123,
  "count": 123
}

Query Parameters

page
integer
default:1
Required range: x <= 9007199254740991

Response

Successfully retrieved workflow runs

workflowRuns
object[]
required
pageSize
number
required
count
number
required